<div class="toolbar-size-guard"></div>

<div [solidifyFocusFirstElement]="true"
     [style.background-image]="backgroundImage"
     cdkTrapFocus
     class="toolbar-wrapper"
>
  <div class="toolbar-content">
    <h1 class="title">{{'home.mainToolbar.title' | translate : {themeName: currentThemeName} }} </h1>
    <h2 class="subtitle">{{'home.mainToolbar.subtitle' | translate}}</h2>
    <dlcm-home-search-bar (valueChange)="search($event)"
                          [labelToTranslate]="'home.searchbar.placeholder' | translate"
                          [tourAnchor]="tourEnum.mainSearchBar"
                          [value]="searchValueInUrl"
                          class="search-bar"
    ></dlcm-home-search-bar>
  </div>
</div>

<div class="wrapper">
  <div class="news-wrapper">
    <div class="left-part">
      <dlcm-home-main-page-content (goToDepositOrLogin)="goToDeposit()"
                                   (goToSearch)="getToSearch()"
                                   class="main-page-content"
      ></dlcm-home-main-page-content>
      <dlcm-home-partners [currentTheme]="themeObs | async"
                          class="partner"
      ></dlcm-home-partners>
    </div>
    <ng-template [ngIf]="twitterEnabled">
      <div class="separator"></div>
      <solidify-twitter-wrapper-presentational class="twitter">
      </solidify-twitter-wrapper-presentational>
    </ng-template>
  </div>
</div>
